Bug 1675999 - simon: FTBFS in Fedora rawhide/f30 [NEEDINFO]
Summary: simon: FTBFS in Fedora rawhide/f30
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: simon
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1637176
Blocks: F30FTBFS
TreeView+ depends on / blocked
 
Reported: 2019-02-11 21:59 UTC by Fedora Release Engineering
Modified: 2019-08-08 16:35 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-08 16:35:53 UTC
releng: needinfo? (rdieter)


Attachments (Terms of Use)
build.log (1.00 KB, text/plain)
2019-02-11 21:59 UTC, Fedora Release Engineering
no flags Details
root.log (1.00 KB, text/plain)
2019-02-11 21:59 UTC, Fedora Release Engineering
no flags Details
state.log (617 bytes, text/plain)
2019-02-11 21:59 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2019-02-11 21:59:00 UTC
simon failed to build from source in Fedora rawhide/f30

https://koji.fedoraproject.org/koji/taskinfo?taskID=32482660


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild
Please fix simon at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
simon will be orphaned. Before branching of Fedora 31,
simon will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-02-11 21:59:03 UTC
Created attachment 1532971 [details]
build.log

file build.log too big, will only attach last 1024 bytes

Comment 2 Fedora Release Engineering 2019-02-11 21:59:04 UTC
Created attachment 1532972 [details]
root.log

file root.log too big, will only attach last 1024 bytes

Comment 3 Fedora Release Engineering 2019-02-11 21:59:06 UTC
Created attachment 1532973 [details]
state.log

Comment 4 Fedora Release Engineering 2019-04-26 23:32:51 UTC
Dear Maintainer,

your package has not been built successfully in f30. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
can be orphaned if this bug remains in NEW state more than 8 weeks.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 5 Sergio Monteiro Basto 2019-05-24 03:23:25 UTC
Hi,
For mass rebuild of opencv I found that simon have updates upstream [1] maybe could help on fix FTBFS ... 

https://github.com/KDE/simon/compare/v0.4.1...v0.4.90

Comment 6 Fedora Release Engineering 2019-06-03 21:47:20 UTC
Dear Maintainer,

your package has not been built successfully in f30. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
can be orphaned if this bug remains in NEW state more than 8 weeks.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 7 Fedora Release Engineering 2019-06-17 20:46:36 UTC
Dear Maintainer,

your package has not been built successfully in f30. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
can be orphaned if this bug remains in NEW state more than 8 weeks.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 8 Rex Dieter 2019-06-17 20:55:31 UTC
Should probably be retired, upstream no longer really supports this as far as I know.

Comment 9 Sergio Monteiro Basto 2019-06-18 04:53:13 UTC
version 0.4.90 is available on github [1] 
but sphinxbase-devel was removed from rawhide .
on F30 seems that builds (without any patch) where is where I am [2]


[1]
https://github.com/KDE/simon/releases/tag/v0.4.90


[2]
+ /usr/lib/rpm/find-lang.sh /builddir/build/BUILDROOT/simon-0.4.90-1.fc30.x86_64 simon --all-name
No translations found for simon in /builddir/build/BUILDROOT/simon-0.4.90-1.fc30.x86_64
error: Bad exit status from /var/tmp/rpm-tmp.AziYcU (%install)

Comment 10 Rex Dieter 2019-06-18 13:35:11 UTC
Using git snapshots you will miss translations alright.

Try this source tarball instead perhaps,
https://download.kde.org/unstable/simon/0.4.90/

that one should have translations.

Comment 11 Sergio Monteiro Basto 2019-06-19 06:55:14 UTC
Building simon with [1] fails on rawhide because sphinxbase is retired on F31  .
And Sphinxtrain not installable on F29, F30 and retired for F31 builds
Also Simon is kde4 app, I don't know if it worth keep this speech recognition app ... 


[1]
https://src.fedoraproject.org/fork/sergiomb/rpms/simon/commits/master
https://copr.fedorainfracloud.org/coprs/sergiomb/opencv/builds/

Comment 12 Rex Dieter 2019-06-19 16:29:52 UTC
per comment #8 , +1 to eol/retiring this

Comment 13 Fedora Release Engineering 2019-07-02 11:18:45 UTC
Dear Maintainer,

your package has not been built successfully in 30. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
can be orphaned if this bug remains in NEW state more than 8 weeks.

A week before the mass branching of Fedora 31 according to the schedule [3],
any packages which still have open FTBFS bugs from Fedora 30 will be retired.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedoraproject.org/wiki/Releases/31/Schedule

Comment 14 Fedora Release Engineering 2019-07-02 13:35:53 UTC
Dear Maintainer,

your package has not been built successfully in 30. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
can be orphaned if this bug remains in NEW state more than 8 weeks.

A week before the mass branching of Fedora 31 according to the schedule [3],
any packages which still have open FTBFS bugs from Fedora 30 will be retired.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedoraproject.org/wiki/Releases/31/Schedule

Comment 15 Fedora Release Engineering 2019-07-24 13:29:40 UTC
Dear Maintainer,

your package has not been built successfully in 30. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
can be orphaned if this bug remains in NEW state more than 8 weeks.

A week before the mass branching of Fedora 31 according to the schedule [3],
any packages which still have open FTBFS bugs from Fedora 30 will be retired.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedoraproject.org/wiki/Releases/31/Schedule

Comment 16 Fedora Release Engineering 2019-07-28 04:29:18 UTC
Dear Maintainer,

your package has not been built successfully in 30. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
can be orphaned if this bug remains in NEW state more than 8 weeks.

A week before the mass branching of Fedora 31 according to the schedule [3],
any packages which still have open FTBFS bugs from Fedora 30 will be retired.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedoraproject.org/wiki/Releases/31/Schedule

Comment 17 Fedora Release Engineering 2019-08-04 04:29:09 UTC
Dear Maintainer,

your package has not been built successfully in 30. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
can be orphaned if this bug remains in NEW state more than 8 weeks.

A week before the mass branching of Fedora 31 according to the schedule [3],
any packages which still have open FTBFS bugs from Fedora 30 will be retired.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedoraproject.org/wiki/Releases/31/Schedule

Comment 18 Fedora Release Engineering 2019-08-08 16:35:53 UTC
The package was retired.


Note You need to log in before you can comment on or make changes to this bug.